<html>
<head>
<title>OGRE: Ogre::Quaternion Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a></div>
<h1>Ogre::Quaternion Class Reference</h1><!-- doxytag: class="Ogre::Quaternion" -->Implementation of a <a class="el" href="classOgre_1_1Quaternion.html" title="Implementation of a Quaternion, i.e.">Quaternion</a>, i.e.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreQuaternion_8h-source.html">OgreQuaternion.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1Quaternion-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#dd13bf39aaf6300299354acc87a23025">Quaternion</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fW=1.0, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fX=0.0, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fY=0.0, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fZ=0.0)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#2cffcbdf2862e0f76ea1bffc89f7122a">Quaternion</a> (const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;rkQ)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#cdcb70a4f122452b6fa70d7cf5ce3cf3">Quaternion</a> (const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;rot)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Construct a quaternion from a rotation matrix.  <a href="#cdcb70a4f122452b6fa70d7cf5ce3cf3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#7f25c623d95186b58f6367dcd097a5ba">Quaternion</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;rfAngle, const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;rkAxis)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Construct a quaternion from an angle/axis.  <a href="#7f25c623d95186b58f6367dcd097a5ba"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#1140011dc0793a81c55f2d078c8c964c">Quaternion</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;xaxis, const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;yaxis, const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;zaxis)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Construct a quaternion from 3 orthonormal local axes.  <a href="#1140011dc0793a81c55f2d078c8c964c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#3ccc60338011887023b397a02a7f3336">Quaternion</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> *akAxis)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Construct a quaternion from 3 orthonormal local axes.  <a href="#3ccc60338011887023b397a02a7f3336"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#1ca81bd9d57e43cf23582c898e5fdd34">Quaternion</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> *valptr)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Construct a quaternion from 4 manual w/x/y/z values.  <a href="#1ca81bd9d57e43cf23582c898e5fdd34"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#3f9320930fd5110028abf48c78a89622">operator[]</a> (const size_t i) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Array accessor operator.  <a href="#3f9320930fd5110028abf48c78a89622"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#074aea0da7fabfde89d204a1f0f0121b">operator[]</a> (const size_t i)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Array accessor operator.  <a href="#074aea0da7fabfde89d204a1f0f0121b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#ecce24dd0096766de0c96c13b195b197">ptr</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Pointer accessor for direct copying.  <a href="#ecce24dd0096766de0c96c13b195b197"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#b4b5bc328439a4f96d1b4b413fcf87cc">ptr</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Pointer accessor for direct copying.  <a href="#b4b5bc328439a4f96d1b4b413fcf87cc"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#e6c3bfed7176355cf2461567f89a15b1">FromRotationMatrix</a> (const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;kRot)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#7e6b9955074bf92c2b778dc0307769a2">ToRotationMatrix</a> (<a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;kRot) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#c3328c1bb86d17e870c57d52720e2e32">FromAngleAxis</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;rfAngle, const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;rkAxis)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#9c516d6b499410b2fc72524026d3a124">ToAngleAxis</a> (<a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;rfAngle, <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;rkAxis) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#77b776c2f81d371549927b0f79478eb9">ToAngleAxis</a> (<a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;dAngle, <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;rkAxis) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#7ad7ad40e38bf351485c2a906c3949bb">FromAxes</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> *akAxis)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#365bc3b10308318721199a829db03887">FromAxes</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;xAxis, const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;yAxis, const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;zAxis)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#82b3a7b187451d70e1522b54718deadf">ToAxes</a> (<a class="el" href="classOgre_1_1Vector3.html">Vector3</a> *akAxis) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#fc19f98e4b1cf72072a5da398c8702ba">ToAxes</a> (<a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;xAxis, <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;yAxis, <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;zAxis) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#d6d7ef864ec7bf39db133a0fd67cce26">xAxis</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the local x-axis.  <a href="#d6d7ef864ec7bf39db133a0fd67cce26"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#62b05272a53c6ee664d7ed6760ec3744">yAxis</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the local y-axis.  <a href="#62b05272a53c6ee664d7ed6760ec3744"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#6c1b8112a4af61982f0feb6fe187851c">zAxis</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the local z-axis.  <a href="#6c1b8112a4af61982f0feb6fe187851c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#6367b543cf0d073d893139dd503b4fbd">operator=</a> (const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;rkQ)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#3c71782cbc1d79c25d1374ffde29f918">operator+</a> (const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;rkQ) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#b07f890193a498d4091c3cbc6799ae4f">operator-</a> (const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;rkQ) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#eef8999c2373520e4f21572a21469dbe">operator *</a> (const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;rkQ) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#6a5dd322c07000f79321a005636cfb82">operator *</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fScalar) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#425964da3f7cc72e656d68cec30833d0">operator-</a> () const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#a20c618a3b4b67d22d2cfd64ba2c8f3b">operator==</a> (const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;rhs) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#aac827806910efa70a5deaa6d75bf3e1">operator!=</a> (const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;rhs) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#8ed59783cae74b10d60c5dfab65efc46">Dot</a> (const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;rkQ) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#17a0e63655eda5e7d77522d45033668c">Norm</a> () const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#ee94ec9c7de50fe7f774ae4c7e760b65">normalise</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Normalises this quaternion, and returns the previous length.  <a href="#ee94ec9c7de50fe7f774ae4c7e760b65"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#391f1c24de70342cc0ac3945d9450ef6">Inverse</a> () const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#9bac18de9a5b0935834e045b2a755d4f">UnitInverse</a> () const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#fa5a360df739f21929b2359276c2a9a5">Exp</a> () const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#a446f6210a2446c7ff3a9358635988c4">Log</a> () const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#9ee791bfb4936cd71feab64b7dbbab25">operator *</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;rkVector) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Radian.html">Radian</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#4d02aa80d2d2183045225a0243e659b9">getRoll</a> (bool reprojectAxis=true) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Calculate the local roll element of this quaternion.  <a href="#4d02aa80d2d2183045225a0243e659b9"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Radian.html">Radian</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#b4f38aa582a50dd81c05c3e772680f6b">getPitch</a> (bool reprojectAxis=true) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Calculate the local pitch element of this quaternion.  <a href="#b4f38aa582a50dd81c05c3e772680f6b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Radian.html">Radian</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#76afd1ec6ae605cf6a969a5e57873f5e">getYaw</a> (bool reprojectAxis=true) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Calculate the local yaw element of this quaternion.  <a href="#76afd1ec6ae605cf6a969a5e57873f5e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#2967ddfe51904c9bff1b68eb3e39f0e5">equals</a> (const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;rhs, const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;tolerance) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Equality with tolerance (tolerance is max angle difference).  <a href="#2967ddfe51904c9bff1b68eb3e39f0e5"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#b0c47f1a7308ac4c17db9f9ddb6e4a72">Slerp</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fT, const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;rkP, const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;rkQ, bool shortestPath=false)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#25fb3bc0f11e6a676fb5c47347a79579">SlerpExtraSpins</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fT, const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;rkP, const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;rkQ, int iExtraSpins)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#838d0736819d496073d99f3f74d0cac1">Intermediate</a> (const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;rkQ0, const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;rkQ1, const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;rkQ2, <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;rka, <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;rkB)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#5f43da8b8aa579e02035eecff89e16a5">Squad</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fT, const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;rkP, const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;rkA, const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;rkB, const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;rkQ, bool shortestPath=false)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#16987149991882e148170fe3f1c7da4b">nlerp</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fT, const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;rkP, const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;rkQ, bool shortestPath=false)</td></tr>

<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#f3424f1e07092c0ffe293d18b277a04f">w</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#32c5680516b41bc4ba3159bf4d4abaf1">x</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#a7328cd3883a92ee9c9322805d038f11">y</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#31ec84a931236554c0c17e37bf5ace97">z</a></td></tr>

<tr><td colspan="2"><br><h2>Static Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#2bfb8dc81611e22008261c3c04ed1227">ms_fEpsilon</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#44f3c000c8f1ea2759c2e724e04bf86b">ZERO</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#441b8d52549e1dedec27420325a313ef">IDENTITY</a></td></tr>

<tr><td colspan="2"><br><h2>Friends</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">_OgreExport friend <br>
<a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#17b12dbe6e6156f811ba60fb98db4f28">operator *</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fScalar, const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;rkQ)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">_OgreExport friend <br>
std::ostream &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html#2a92fc4c7d55783c70ef6f633f3cac89">operator&lt;&lt;</a> (std::ostream &amp;o, const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;q)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Function for writing to a stream.  <a href="#2a92fc4c7d55783c70ef6f633f3cac89"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Implementation of a <a class="el" href="classOgre_1_1Quaternion.html" title="Implementation of a Quaternion, i.e.">Quaternion</a>, i.e. 
<p>
a rotation around an axis. 
<p>Definition at line <a class="el" href="OgreQuaternion_8h-source.html#l00053">53</a> of file <a class="el" href="OgreQuaternion_8h-source.html">OgreQuaternion.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="dd13bf39aaf6300299354acc87a23025"></a><!-- doxytag: member="Ogre::Quaternion::Quaternion" ref="dd13bf39aaf6300299354acc87a23025" args="(Real fW=1.0, Real fX=0.0, Real fY=0.0, Real fZ=0.0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Quaternion::Quaternion           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>fW</em> = <code>1.0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>fX</em> = <code>0.0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>fY</em> = <code>0.0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>fZ</em> = <code>0.0</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreQuaternion_8h-source.html#l00056">56</a> of file <a class="el" href="OgreQuaternion_8h-source.html">OgreQuaternion.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="2cffcbdf2862e0f76ea1bffc89f7122a"></a><!-- doxytag: member="Ogre::Quaternion::Quaternion" ref="2cffcbdf2862e0f76ea1bffc89f7122a" args="(const Quaternion &amp;rkQ)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Quaternion::Quaternion           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkQ</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreQuaternion_8h-source.html#l00065">65</a> of file <a class="el" href="OgreQuaternion_8h-source.html">OgreQuaternion.h</a>.</p>

<p>References <a class="el" href="OgreQuaternion_8h-source.html#l00258">w</a>, <a class="el" href="OgreQuaternion_8h-source.html#l00258">x</a>, <a class="el" href="OgreQuaternion_8h-source.html#l00258">y</a>, and <a class="el" href="OgreQuaternion_8h-source.html#l00258">z</a>.</p>

</div>
</div><p>
<a class="anchor" name="cdcb70a4f122452b6fa70d7cf5ce3cf3"></a><!-- doxytag: member="Ogre::Quaternion::Quaternion" ref="cdcb70a4f122452b6fa70d7cf5ce3cf3" args="(const Matrix3 &amp;rot)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Quaternion::Quaternion           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rot</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Construct a quaternion from a rotation matrix. 
<p>

<p>Definition at line <a class="el" href="OgreQuaternion_8h-source.html#l00073">73</a> of file <a class="el" href="OgreQuaternion_8h-source.html">OgreQuaternion.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="7f25c623d95186b58f6367dcd097a5ba"></a><!-- doxytag: member="Ogre::Quaternion::Quaternion" ref="7f25c623d95186b58f6367dcd097a5ba" args="(const Radian &amp;rfAngle, const Vector3 &amp;rkAxis)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Quaternion::Quaternion           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rfAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkAxis</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Construct a quaternion from an angle/axis. 
<p>

<p>Definition at line <a class="el" href="OgreQuaternion_8h-source.html#l00078">78</a> of file <a class="el" href="OgreQuaternion_8h-source.html">OgreQuaternion.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="1140011dc0793a81c55f2d078c8c964c"></a><!-- doxytag: member="Ogre::Quaternion::Quaternion" ref="1140011dc0793a81c55f2d078c8c964c" args="(const Vector3 &amp;xaxis, const Vector3 &amp;yaxis, const Vector3 &amp;zaxis)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Quaternion::Quaternion           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>xaxis</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>yaxis</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>zaxis</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Construct a quaternion from 3 orthonormal local axes. 
<p>

<p>Definition at line <a class="el" href="OgreQuaternion_8h-source.html#l00089">89</a> of file <a class="el" href="OgreQuaternion_8h-source.html">OgreQuaternion.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="3ccc60338011887023b397a02a7f3336"></a><!-- doxytag: member="Ogre::Quaternion::Quaternion" ref="3ccc60338011887023b397a02a7f3336" args="(const Vector3 *akAxis)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Quaternion::Quaternion           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> *&nbsp;</td>
          <td class="paramname"> <em>akAxis</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Construct a quaternion from 3 orthonormal local axes. 
<p>

<p>Definition at line <a class="el" href="OgreQuaternion_8h-source.html#l00094">94</a> of file <a class="el" href="OgreQuaternion_8h-source.html">OgreQuaternion.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="1ca81bd9d57e43cf23582c898e5fdd34"></a><!-- doxytag: member="Ogre::Quaternion::Quaternion" ref="1ca81bd9d57e43cf23582c898e5fdd34" args="(Real *valptr)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Quaternion::Quaternion           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> *&nbsp;</td>
          <td class="paramname"> <em>valptr</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Construct a quaternion from 4 manual w/x/y/z values. 
<p>

<p>Definition at line <a class="el" href="OgreQuaternion_8h-source.html#l00099">99</a> of file <a class="el" href="OgreQuaternion_8h-source.html">OgreQuaternion.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="3f9320930fd5110028abf48c78a89622"></a><!-- doxytag: member="Ogre::Quaternion::operator[]" ref="3f9320930fd5110028abf48c78a89622" args="(const size_t i) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::Quaternion::operator[]           </td>
          <td>(</td>
          <td class="paramtype">const size_t&nbsp;</td>
          <td class="paramname"> <em>i</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Array accessor operator. 
<p>

<p>Definition at line <a class="el" href="OgreQuaternion_8h-source.html#l00105">105</a> of file <a class="el" href="OgreQuaternion_8h-source.html">OgreQuaternion.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="074aea0da7fabfde89d204a1f0f0121b"></a><!-- doxytag: member="Ogre::Quaternion::operator[]" ref="074aea0da7fabfde89d204a1f0f0121b" args="(const size_t i)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&amp; Ogre::Quaternion::operator[]           </td>
          <td>(</td>
          <td class="paramtype">const size_t&nbsp;</td>
          <td class="paramname"> <em>i</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Array accessor operator. 
<p>

<p>Definition at line <a class="el" href="OgreQuaternion_8h-source.html#l00113">113</a> of file <a class="el" href="OgreQuaternion_8h-source.html">OgreQuaternion.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ecce24dd0096766de0c96c13b195b197"></a><!-- doxytag: member="Ogre::Quaternion::ptr" ref="ecce24dd0096766de0c96c13b195b197" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>* Ogre::Quaternion::ptr           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Pointer accessor for direct copying. 
<p>

<p>Definition at line <a class="el" href="OgreQuaternion_8h-source.html#l00121">121</a> of file <a class="el" href="OgreQuaternion_8h-source.html">OgreQuaternion.h</a>.</p>

<p>Referenced by <a class="el" href="OgreAnimable_8h-source.html#l00104">Ogre::AnimableValue::setAsBaseValue()</a>.</p>

</div>
</div><p>
<a class="anchor" name="b4b5bc328439a4f96d1b4b413fcf87cc"></a><!-- doxytag: member="Ogre::Quaternion::ptr" ref="b4b5bc328439a4f96d1b4b413fcf87cc" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>* Ogre::Quaternion::ptr           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Pointer accessor for direct copying. 
<p>

<p>Definition at line <a class="el" href="OgreQuaternion_8h-source.html#l00127">127</a> of file <a class="el" href="OgreQuaternion_8h-source.html">OgreQuaternion.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e6c3bfed7176355cf2461567f89a15b1"></a><!-- doxytag: member="Ogre::Quaternion::FromRotationMatrix" ref="e6c3bfed7176355cf2461567f89a15b1" args="(const Matrix3 &amp;kRot)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Quaternion::FromRotationMatrix           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>kRot</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="7e6b9955074bf92c2b778dc0307769a2"></a><!-- doxytag: member="Ogre::Quaternion::ToRotationMatrix" ref="7e6b9955074bf92c2b778dc0307769a2" args="(Matrix3 &amp;kRot) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Quaternion::ToRotationMatrix           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>kRot</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Referenced by <a class="el" href="OgreMatrix4_8h-source.html#l00126">Ogre::Matrix4::Matrix4()</a>.</p>

</div>
</div><p>
<a class="anchor" name="c3328c1bb86d17e870c57d52720e2e32"></a><!-- doxytag: member="Ogre::Quaternion::FromAngleAxis" ref="c3328c1bb86d17e870c57d52720e2e32" args="(const Radian &amp;rfAngle, const Vector3 &amp;rkAxis)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Quaternion::FromAngleAxis           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rfAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkAxis</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Referenced by <a class="el" href="OgreVector3_8h-source.html#l00630">Ogre::Vector3::getRotationTo()</a>, and <a class="el" href="OgreVector3_8h-source.html#l00588">Ogre::Vector3::randomDeviant()</a>.</p>

</div>
</div><p>
<a class="anchor" name="9c516d6b499410b2fc72524026d3a124"></a><!-- doxytag: member="Ogre::Quaternion::ToAngleAxis" ref="9c516d6b499410b2fc72524026d3a124" args="(Radian &amp;rfAngle, Vector3 &amp;rkAxis) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Quaternion::ToAngleAxis           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rfAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkAxis</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="77b776c2f81d371549927b0f79478eb9"></a><!-- doxytag: member="Ogre::Quaternion::ToAngleAxis" ref="77b776c2f81d371549927b0f79478eb9" args="(Degree &amp;dAngle, Vector3 &amp;rkAxis) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Quaternion::ToAngleAxis           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>dAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkAxis</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreQuaternion_8h-source.html#l00136">136</a> of file <a class="el" href="OgreQuaternion_8h-source.html">OgreQuaternion.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="7ad7ad40e38bf351485c2a906c3949bb"></a><!-- doxytag: member="Ogre::Quaternion::FromAxes" ref="7ad7ad40e38bf351485c2a906c3949bb" args="(const Vector3 *akAxis)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Quaternion::FromAxes           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> *&nbsp;</td>
          <td class="paramname"> <em>akAxis</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="365bc3b10308318721199a829db03887"></a><!-- doxytag: member="Ogre::Quaternion::FromAxes" ref="365bc3b10308318721199a829db03887" args="(const Vector3 &amp;xAxis, const Vector3 &amp;yAxis, const Vector3 &amp;zAxis)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Quaternion::FromAxes           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>xAxis</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>yAxis</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>zAxis</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="82b3a7b187451d70e1522b54718deadf"></a><!-- doxytag: member="Ogre::Quaternion::ToAxes" ref="82b3a7b187451d70e1522b54718deadf" args="(Vector3 *akAxis) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Quaternion::ToAxes           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> *&nbsp;</td>
          <td class="paramname"> <em>akAxis</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="fc19f98e4b1cf72072a5da398c8702ba"></a><!-- doxytag: member="Ogre::Quaternion::ToAxes" ref="fc19f98e4b1cf72072a5da398c8702ba" args="(Vector3 &amp;xAxis, Vector3 &amp;yAxis, Vector3 &amp;zAxis) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Quaternion::ToAxes           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>xAxis</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>yAxis</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>zAxis</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="d6d7ef864ec7bf39db133a0fd67cce26"></a><!-- doxytag: member="Ogre::Quaternion::xAxis" ref="d6d7ef864ec7bf39db133a0fd67cce26" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> Ogre::Quaternion::xAxis           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the local x-axis. 
<p>

</div>
</div><p>
<a class="anchor" name="62b05272a53c6ee664d7ed6760ec3744"></a><!-- doxytag: member="Ogre::Quaternion::yAxis" ref="62b05272a53c6ee664d7ed6760ec3744" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> Ogre::Quaternion::yAxis           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the local y-axis. 
<p>

</div>
</div><p>
<a class="anchor" name="6c1b8112a4af61982f0feb6fe187851c"></a><!-- doxytag: member="Ogre::Quaternion::zAxis" ref="6c1b8112a4af61982f0feb6fe187851c" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> Ogre::Quaternion::zAxis           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the local z-axis. 
<p>

</div>
</div><p>
<a class="anchor" name="6367b543cf0d073d893139dd503b4fbd"></a><!-- doxytag: member="Ogre::Quaternion::operator=" ref="6367b543cf0d073d893139dd503b4fbd" args="(const Quaternion &amp;rkQ)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a>&amp; Ogre::Quaternion::operator=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkQ</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreQuaternion_8h-source.html#l00162">162</a> of file <a class="el" href="OgreQuaternion_8h-source.html">OgreQuaternion.h</a>.</p>

<p>References <a class="el" href="OgreQuaternion_8h-source.html#l00258">w</a>, <a class="el" href="OgreQuaternion_8h-source.html#l00258">x</a>, <a class="el" href="OgreQuaternion_8h-source.html#l00258">y</a>, and <a class="el" href="OgreQuaternion_8h-source.html#l00258">z</a>.</p>

</div>
</div><p>
<a class="anchor" name="3c71782cbc1d79c25d1374ffde29f918"></a><!-- doxytag: member="Ogre::Quaternion::operator+" ref="3c71782cbc1d79c25d1374ffde29f918" args="(const Quaternion &amp;rkQ) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> Ogre::Quaternion::operator+           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkQ</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="b07f890193a498d4091c3cbc6799ae4f"></a><!-- doxytag: member="Ogre::Quaternion::operator-" ref="b07f890193a498d4091c3cbc6799ae4f" args="(const Quaternion &amp;rkQ) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> Ogre::Quaternion::operator-           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkQ</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="eef8999c2373520e4f21572a21469dbe"></a><!-- doxytag: member="Ogre::Quaternion::operator *" ref="eef8999c2373520e4f21572a21469dbe" args="(const Quaternion &amp;rkQ) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> Ogre::Quaternion::operator *           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkQ</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="6a5dd322c07000f79321a005636cfb82"></a><!-- doxytag: member="Ogre::Quaternion::operator *" ref="6a5dd322c07000f79321a005636cfb82" args="(Real fScalar) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> Ogre::Quaternion::operator *           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>fScalar</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="425964da3f7cc72e656d68cec30833d0"></a><!-- doxytag: member="Ogre::Quaternion::operator-" ref="425964da3f7cc72e656d68cec30833d0" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> Ogre::Quaternion::operator-           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="a20c618a3b4b67d22d2cfd64ba2c8f3b"></a><!-- doxytag: member="Ogre::Quaternion::operator==" ref="a20c618a3b4b67d22d2cfd64ba2c8f3b" args="(const Quaternion &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Quaternion::operator==           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreQuaternion_8h-source.html#l00177">177</a> of file <a class="el" href="OgreQuaternion_8h-source.html">OgreQuaternion.h</a>.</p>

<p>References <a class="el" href="OgreQuaternion_8h-source.html#l00258">w</a>, <a class="el" href="OgreQuaternion_8h-source.html#l00258">x</a>, <a class="el" href="OgreQuaternion_8h-source.html#l00258">y</a>, and <a class="el" href="OgreQuaternion_8h-source.html#l00258">z</a>.</p>

</div>
</div><p>
<a class="anchor" name="aac827806910efa70a5deaa6d75bf3e1"></a><!-- doxytag: member="Ogre::Quaternion::operator!=" ref="aac827806910efa70a5deaa6d75bf3e1" args="(const Quaternion &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Quaternion::operator!=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreQuaternion_8h-source.html#l00182">182</a> of file <a class="el" href="OgreQuaternion_8h-source.html">OgreQuaternion.h</a>.</p>

<p>References <a class="el" href="namespaceOgre.html#b426b0250db523190d60f4bfe0414499">Ogre::operator==()</a>.</p>

</div>
</div><p>
<a class="anchor" name="8ed59783cae74b10d60c5dfab65efc46"></a><!-- doxytag: member="Ogre::Quaternion::Dot" ref="8ed59783cae74b10d60c5dfab65efc46" args="(const Quaternion &amp;rkQ) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::Quaternion::Dot           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkQ</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="17a0e63655eda5e7d77522d45033668c"></a><!-- doxytag: member="Ogre::Quaternion::Norm" ref="17a0e63655eda5e7d77522d45033668c" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::Quaternion::Norm           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="ee94ec9c7de50fe7f774ae4c7e760b65"></a><!-- doxytag: member="Ogre::Quaternion::normalise" ref="ee94ec9c7de50fe7f774ae4c7e760b65" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::Quaternion::normalise           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Normalises this quaternion, and returns the previous length. 
<p>

<p>Referenced by <a class="el" href="OgreVector3_8h-source.html#l00630">Ogre::Vector3::getRotationTo()</a>.</p>

</div>
</div><p>
<a class="anchor" name="391f1c24de70342cc0ac3945d9450ef6"></a><!-- doxytag: member="Ogre::Quaternion::Inverse" ref="391f1c24de70342cc0ac3945d9450ef6" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> Ogre::Quaternion::Inverse           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="9bac18de9a5b0935834e045b2a755d4f"></a><!-- doxytag: member="Ogre::Quaternion::UnitInverse" ref="9bac18de9a5b0935834e045b2a755d4f" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> Ogre::Quaternion::UnitInverse           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="fa5a360df739f21929b2359276c2a9a5"></a><!-- doxytag: member="Ogre::Quaternion::Exp" ref="fa5a360df739f21929b2359276c2a9a5" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> Ogre::Quaternion::Exp           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="a446f6210a2446c7ff3a9358635988c4"></a><!-- doxytag: member="Ogre::Quaternion::Log" ref="a446f6210a2446c7ff3a9358635988c4" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> Ogre::Quaternion::Log           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="9ee791bfb4936cd71feab64b7dbbab25"></a><!-- doxytag: member="Ogre::Quaternion::operator *" ref="9ee791bfb4936cd71feab64b7dbbab25" args="(const Vector3 &amp;rkVector) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> Ogre::Quaternion::operator *           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkVector</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="4d02aa80d2d2183045225a0243e659b9"></a><!-- doxytag: member="Ogre::Quaternion::getRoll" ref="4d02aa80d2d2183045225a0243e659b9" args="(bool reprojectAxis=true) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Radian.html">Radian</a> Ogre::Quaternion::getRoll           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>reprojectAxis</em> = <code>true</code>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Calculate the local roll element of this quaternion. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>reprojectAxis</em>&nbsp;</td><td>By default the method returns the 'intuitive' result that is, if you projected the local Y of the quaterion onto the X and Y axes, the angle between them is returned. If set to false though, the result is the actual yaw that will be used to implement the quaternion, which is the shortest possible path to get to the same orientation and may involve less axial rotation. </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="b4f38aa582a50dd81c05c3e772680f6b"></a><!-- doxytag: member="Ogre::Quaternion::getPitch" ref="b4f38aa582a50dd81c05c3e772680f6b" args="(bool reprojectAxis=true) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Radian.html">Radian</a> Ogre::Quaternion::getPitch           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>reprojectAxis</em> = <code>true</code>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Calculate the local pitch element of this quaternion. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>reprojectAxis</em>&nbsp;</td><td>By default the method returns the 'intuitive' result that is, if you projected the local Z of the quaterion onto the X and Y axes, the angle between them is returned. If set to true though, the result is the actual yaw that will be used to implement the quaternion, which is the shortest possible path to get to the same orientation and may involve less axial rotation. </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="76afd1ec6ae605cf6a969a5e57873f5e"></a><!-- doxytag: member="Ogre::Quaternion::getYaw" ref="76afd1ec6ae605cf6a969a5e57873f5e" args="(bool reprojectAxis=true) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Radian.html">Radian</a> Ogre::Quaternion::getYaw           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>reprojectAxis</em> = <code>true</code>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Calculate the local yaw element of this quaternion. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>reprojectAxis</em>&nbsp;</td><td>By default the method returns the 'intuitive' result that is, if you projected the local Z of the quaterion onto the X and Z axes, the angle between them is returned. If set to true though, the result is the actual yaw that will be used to implement the quaternion, which is the shortest possible path to get to the same orientation and may involve less axial rotation. </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="2967ddfe51904c9bff1b68eb3e39f0e5"></a><!-- doxytag: member="Ogre::Quaternion::equals" ref="2967ddfe51904c9bff1b68eb3e39f0e5" args="(const Quaternion &amp;rhs, const Radian &amp;tolerance) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Quaternion::equals           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>tolerance</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Equality with tolerance (tolerance is max angle difference). 
<p>

</div>
</div><p>
<a class="anchor" name="b0c47f1a7308ac4c17db9f9ddb6e4a72"></a><!-- doxytag: member="Ogre::Quaternion::Slerp" ref="b0c47f1a7308ac4c17db9f9ddb6e4a72" args="(Real fT, const Quaternion &amp;rkP, const Quaternion &amp;rkQ, bool shortestPath=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> Ogre::Quaternion::Slerp           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>fT</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkP</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkQ</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>shortestPath</em> = <code>false</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="25fb3bc0f11e6a676fb5c47347a79579"></a><!-- doxytag: member="Ogre::Quaternion::SlerpExtraSpins" ref="25fb3bc0f11e6a676fb5c47347a79579" args="(Real fT, const Quaternion &amp;rkP, const Quaternion &amp;rkQ, int iExtraSpins)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> Ogre::Quaternion::SlerpExtraSpins           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>fT</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkP</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkQ</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>iExtraSpins</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="838d0736819d496073d99f3f74d0cac1"></a><!-- doxytag: member="Ogre::Quaternion::Intermediate" ref="838d0736819d496073d99f3f74d0cac1" args="(const Quaternion &amp;rkQ0, const Quaternion &amp;rkQ1, const Quaternion &amp;rkQ2, Quaternion &amp;rka, Quaternion &amp;rkB)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void Ogre::Quaternion::Intermediate           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkQ0</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkQ1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkQ2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rka</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkB</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="5f43da8b8aa579e02035eecff89e16a5"></a><!-- doxytag: member="Ogre::Quaternion::Squad" ref="5f43da8b8aa579e02035eecff89e16a5" args="(Real fT, const Quaternion &amp;rkP, const Quaternion &amp;rkA, const Quaternion &amp;rkB, const Quaternion &amp;rkQ, bool shortestPath=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> Ogre::Quaternion::Squad           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>fT</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkP</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkA</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkQ</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>shortestPath</em> = <code>false</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="16987149991882e148170fe3f1c7da4b"></a><!-- doxytag: member="Ogre::Quaternion::nlerp" ref="16987149991882e148170fe3f1c7da4b" args="(Real fT, const Quaternion &amp;rkP, const Quaternion &amp;rkQ, bool shortestPath=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> Ogre::Quaternion::nlerp           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>fT</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkP</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkQ</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>shortestPath</em> = <code>false</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Friends And Related Function Documentation</h2>
<a class="anchor" name="17b12dbe6e6156f811ba60fb98db4f28"></a><!-- doxytag: member="Ogre::Quaternion::operator *" ref="17b12dbe6e6156f811ba60fb98db4f28" args="(Real fScalar, const Quaternion &amp;rkQ)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_OgreExport friend <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> operator *           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>fScalar</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkQ</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="2a92fc4c7d55783c70ef6f633f3cac89"></a><!-- doxytag: member="Ogre::Quaternion::operator&lt;&lt;" ref="2a92fc4c7d55783c70ef6f633f3cac89" args="(std::ostream &amp;o, const Quaternion &amp;q)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_OgreExport friend std::ostream&amp; operator&lt;&lt;           </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&nbsp;</td>
          <td class="paramname"> <em>o</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>q</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Function for writing to a stream. 
<p>
Outputs "Quaternion(w, x, y, z)" with w,x,y,z being the member values of the quaternion. 
<p>Definition at line <a class="el" href="OgreQuaternion_8h-source.html#l00264">264</a> of file <a class="el" href="OgreQuaternion_8h-source.html">OgreQuaternion.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="2bfb8dc81611e22008261c3c04ed1227"></a><!-- doxytag: member="Ogre::Quaternion::ms_fEpsilon" ref="2bfb8dc81611e22008261c3c04ed1227" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Quaternion.html#2bfb8dc81611e22008261c3c04ed1227">Ogre::Quaternion::ms_fEpsilon</a><code> [static]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreQuaternion_8h-source.html#l00252">252</a> of file <a class="el" href="OgreQuaternion_8h-source.html">OgreQuaternion.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="44f3c000c8f1ea2759c2e724e04bf86b"></a><!-- doxytag: member="Ogre::Quaternion::ZERO" ref="44f3c000c8f1ea2759c2e724e04bf86b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> <a class="el" href="classOgre_1_1Quaternion.html#44f3c000c8f1ea2759c2e724e04bf86b">Ogre::Quaternion::ZERO</a><code> [static]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreQuaternion_8h-source.html#l00255">255</a> of file <a class="el" href="OgreQuaternion_8h-source.html">OgreQuaternion.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="441b8d52549e1dedec27420325a313ef"></a><!-- doxytag: member="Ogre::Quaternion::IDENTITY" ref="441b8d52549e1dedec27420325a313ef" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> <a class="el" href="classOgre_1_1Quaternion.html#441b8d52549e1dedec27420325a313ef">Ogre::Quaternion::IDENTITY</a><code> [static]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreQuaternion_8h-source.html#l00256">256</a> of file <a class="el" href="OgreQuaternion_8h-source.html">OgreQuaternion.h</a>.</p>

<p>Referenced by <a class="el" href="OgreVector3_8h-source.html#l00630">Ogre::Vector3::getRotationTo()</a>, and <a class="el" href="OgreBorderPanelOverlayElement_8h-source.html#l00326">Ogre::BorderRenderable::getWorldOrientation()</a>.</p>

</div>
</div><p>
<a class="anchor" name="f3424f1e07092c0ffe293d18b277a04f"></a><!-- doxytag: member="Ogre::Quaternion::w" ref="f3424f1e07092c0ffe293d18b277a04f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Quaternion.html#f3424f1e07092c0ffe293d18b277a04f">Ogre::Quaternion::w</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreQuaternion_8h-source.html#l00258">258</a> of file <a class="el" href="OgreQuaternion_8h-source.html">OgreQuaternion.h</a>.</p>

<p>Referenced by <a class="el" href="OgreVector3_8h-source.html#l00630">Ogre::Vector3::getRotationTo()</a>, <a class="el" href="OgreQuaternion_8h-source.html#l00162">operator=()</a>, <a class="el" href="OgreQuaternion_8h-source.html#l00177">operator==()</a>, and <a class="el" href="OgreQuaternion_8h-source.html#l00065">Quaternion()</a>.</p>

</div>
</div><p>
<a class="anchor" name="32c5680516b41bc4ba3159bf4d4abaf1"></a><!-- doxytag: member="Ogre::Quaternion::x" ref="32c5680516b41bc4ba3159bf4d4abaf1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Quaternion.html#32c5680516b41bc4ba3159bf4d4abaf1">Ogre::Quaternion::x</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreQuaternion_8h-source.html#l00258">258</a> of file <a class="el" href="OgreQuaternion_8h-source.html">OgreQuaternion.h</a>.</p>

<p>Referenced by <a class="el" href="OgreVector3_8h-source.html#l00630">Ogre::Vector3::getRotationTo()</a>, <a class="el" href="OgreQuaternion_8h-source.html#l00162">operator=()</a>, <a class="el" href="OgreQuaternion_8h-source.html#l00177">operator==()</a>, and <a class="el" href="OgreQuaternion_8h-source.html#l00065">Quaternion()</a>.</p>

</div>
</div><p>
<a class="anchor" name="a7328cd3883a92ee9c9322805d038f11"></a><!-- doxytag: member="Ogre::Quaternion::y" ref="a7328cd3883a92ee9c9322805d038f11" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Quaternion.html#a7328cd3883a92ee9c9322805d038f11">Ogre::Quaternion::y</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreQuaternion_8h-source.html#l00258">258</a> of file <a class="el" href="OgreQuaternion_8h-source.html">OgreQuaternion.h</a>.</p>

<p>Referenced by <a class="el" href="OgreVector3_8h-source.html#l00630">Ogre::Vector3::getRotationTo()</a>, <a class="el" href="OgreQuaternion_8h-source.html#l00162">operator=()</a>, <a class="el" href="OgreQuaternion_8h-source.html#l00177">operator==()</a>, and <a class="el" href="OgreQuaternion_8h-source.html#l00065">Quaternion()</a>.</p>

</div>
</div><p>
<a class="anchor" name="31ec84a931236554c0c17e37bf5ace97"></a><!-- doxytag: member="Ogre::Quaternion::z" ref="31ec84a931236554c0c17e37bf5ace97" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Quaternion.html#31ec84a931236554c0c17e37bf5ace97">Ogre::Quaternion::z</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreQuaternion_8h-source.html#l00258">258</a> of file <a class="el" href="OgreQuaternion_8h-source.html">OgreQuaternion.h</a>.</p>

<p>Referenced by <a class="el" href="OgreVector3_8h-source.html#l00630">Ogre::Vector3::getRotationTo()</a>, <a class="el" href="OgreQuaternion_8h-source.html#l00162">operator=()</a>, <a class="el" href="OgreQuaternion_8h-source.html#l00177">operator==()</a>, and <a class="el" href="OgreQuaternion_8h-source.html#l00065">Quaternion()</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreQuaternion_8h-source.html">OgreQuaternion.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:57 2008
</p>
</body>
</html>
